Update an AI Agent
Updates an AI Agent in a Project. Allows modifying AI Agent persona, instructions, speaking style, voice, and safety settings. Returns no content on success
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Cognigy AI Agent",
"image": "https://cognigy.com/ai-agent.png",
"imageOptimizedFormat": true,
"knowledgeReferenceId": "c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
"description": "I am a virtual assistant that can help you with your questions.",
"speakingStyle": {
"completeness": "concise",
"formality": "formal"
},
"voiceConfigs": {
"ttsVoice": "Xb7hH8MSUJpSbSDYk0k2",
"ttsLanguage": "zh",
"ttsVendor": "Elevenlabs",
"ttsModel": "eleven_multilingual_v2",
"ttsLabel": "microsoft US",
"ttsDisableCache": false
},
"enableVoiceConfigs": false,
"enableAutoLanguageDetection": true,
"safetySettings": {
"avoidHarmfulContent": true,
"avoidUngroundedContent": true,
"avoidCopyrightInfringements": true,
"preventJailbreakAndManipulation": true
},
"contactProfilesOption": "selectedProfileFields",
"contactProfilesSelected": [
"name",
"email"
],
"instructions": "I can help you with your questions, provide information and much more."
}
'import requests
url = "https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}"
payload = {
"name": "Cognigy AI Agent",
"image": "https://cognigy.com/ai-agent.png",
"imageOptimizedFormat": True,
"knowledgeReferenceId": "c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
"description": "I am a virtual assistant that can help you with your questions.",
"speakingStyle": {
"completeness": "concise",
"formality": "formal"
},
"voiceConfigs": {
"ttsVoice": "Xb7hH8MSUJpSbSDYk0k2",
"ttsLanguage": "zh",
"ttsVendor": "Elevenlabs",
"ttsModel": "eleven_multilingual_v2",
"ttsLabel": "microsoft US",
"ttsDisableCache": False
},
"enableVoiceConfigs": False,
"enableAutoLanguageDetection": True,
"safetySettings": {
"avoidHarmfulContent": True,
"avoidUngroundedContent": True,
"avoidCopyrightInfringements": True,
"preventJailbreakAndManipulation": True
},
"contactProfilesOption": "selectedProfileFields",
"contactProfilesSelected": ["name", "email"],
"instructions": "I can help you with your questions, provide information and much more."
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Cognigy AI Agent',
image: 'https://cognigy.com/ai-agent.png',
imageOptimizedFormat: true,
knowledgeReferenceId: 'c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b',
description: 'I am a virtual assistant that can help you with your questions.',
speakingStyle: {completeness: 'concise', formality: 'formal'},
voiceConfigs: {
ttsVoice: 'Xb7hH8MSUJpSbSDYk0k2',
ttsLanguage: 'zh',
ttsVendor: 'Elevenlabs',
ttsModel: 'eleven_multilingual_v2',
ttsLabel: 'microsoft US',
ttsDisableCache: false
},
enableVoiceConfigs: false,
enableAutoLanguageDetection: true,
safetySettings: {
avoidHarmfulContent: true,
avoidUngroundedContent: true,
avoidCopyrightInfringements: true,
preventJailbreakAndManipulation: true
},
contactProfilesOption: 'selectedProfileFields',
contactProfilesSelected: ['name', 'email'],
instructions: 'I can help you with your questions, provide information and much more.'
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {},
"logLevel": "error"
}{
"type": "Method Not Allowed",
"title": "Method Not Allowed Error",
"status": 405,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Conflict",
"title": "Conflict Error",
"status": 409,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1004,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payload Too Large",
"title": "Payload Too Large Error",
"status": 413,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Internal Server Error",
"title": "Internal Server Error",
"status": 500,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Implemented",
"title": "Not Implemented Error",
"status": 501,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1009,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Bad Gateway",
"title": "Bad Gateway Error",
"status": 502,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Service Unavailable",
"title": "Service Unavailable Error",
"status": 503,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 503,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Gateway Timeout",
"title": "Gateway Timeout Error",
"status": 504,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}Authorizations
Supply the API Key in the HTTP-Header
Headers
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
application/json, application/hal+json, application/xml, text/xml, text/csv Path Parameters
The Id of the Ai Agent
24^[a-z0-9]{24}$Body
"Cognigy AI Agent"
Avatar of the AI Agent.
"https://cognigy.com/ai-agent.png"
Whether the optimized image format defined by Cognigy is used.
true
A referenceId of a Knowledge Store this Agent will use as base knowledge or null.
"c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b"
A short description of the AI Agent, up to 1000 characters.
1000"I am a virtual assistant that can help you with your questions."
Show child attributes
Show child attributes
{
"completeness": "concise",
"formality": "formal"
}
Show child attributes
Show child attributes
{
"ttsVoice": "Xb7hH8MSUJpSbSDYk0k2",
"ttsLanguage": "zh",
"ttsVendor": "Elevenlabs",
"ttsModel": "eleven_multilingual_v2",
"ttsLabel": "microsoft US",
"ttsDisableCache": false
}
Enables the use of voice configuration.
false
Whether the AI Agent should automatically detect and respond in the user's language.
true
Show child attributes
Show child attributes
Option to enable or customize Contact profiles selection for the AI Agent.
none, selectedProfileFields, completeProfile, profileMemoriesOnly "selectedProfileFields"
Selected contact profiles for the AI Agent, it is used only when contactProfilesOption is set to 'selectedProfileFields'.
["name", "email"]
Instructions for the AI Agent.
1000"I can help you with your questions, provide information and much more."
Response
The AI Agent was successfully updated.
